# salt.states.sysfs

## Configuration of the kernel using sysfs

Control the kernel object attributes exported by sysfs

    kernel/mm/transparent_hugepage/enabled
      sysfs.present:
        - value: never

Added in version 3006.0.

salt.states.sysfs.present(name, value, config=None)

  Ensure that the named sysfs attribute is set with the defined value

  name

    The name of the sysfs attribute to edit

  value

    The sysfs value to apply